Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038161
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-03-16 13:272018-05-09 19:29
ReporterJONHMView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision9d919bcdb4fe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038161: Maximum Concurrent Users limit not calculating properly

DescriptionWhen the Maximum Concurrent Users limit is reached, the user only can log in a System User, but this session is also shown on the ad_session table with status "Concurrent Users Limit Reached" and active = Y. Those "invalid" sessions are taking into account as active users and this is causing problems with the login
Steps To Reproduce3 different sessions on browsers are needed and a instance with only 2 Concurrent Global System Users:

- Log in with Openbravo in browser 1 -> successfull
- Log in with Openbravo in browser 2 -> successfull
- Log in with Openbravo in browser 3 -> concurrent user limit
- Log out in browser 2 -> The session is set as active = N
- Log in again with Openbravo in browser 2 -> concurrent user limit and only 1 valid session is active
Proposed SolutionDo not take into account the sessions with login_status = 'CUR'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103641)
hgbot (developer)
2018-04-03 12:14

Repository: erp/devel/pi
Changeset: 9d919bcdb4fe9b9ff3960627f3c05994da53dc5c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Apr 03 12:06:50 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9d919bcdb4fe9b9ff3960627f3c05994da53dc5c [^]

fixed bug 38161: CUR System Admin restricted sessions are counted for CU limit

  When number of CU is reachead and user has Sys Admin role, a CUR session is
  created limiting it to oly Sys Admin role.

  These type of sessions were counted for CU limit preventing new sessions to
  be created.

  Now these sessions are not taken into account anymore for CU limit nor removed
  if limit is reached.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/UserInfoComponent.java
M src/index.jsp
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
---
(0103642)
hgbot (developer)
2018-04-03 12:14

Repository: erp/devel/pi
Changeset: c0b74e09ac0c460ef95d67a9c088808e11666acf
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Apr 03 12:08:23 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c0b74e09ac0c460ef95d67a9c088808e11666acf [^]

related to bug 38161: fixed typo

---
M src/org/openbravo/erpCommon/obps/ActivationKey.java
---
(0103745)
caristu (developer)
2018-04-09 09:13

Code reviewed + tested OK.
(0104360)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104361)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-16 13:27 JONHM New Issue
2018-03-16 13:27 JONHM Assigned To => platform
2018-03-16 13:27 JONHM Modules => Core
2018-03-16 13:27 JONHM Triggers an Emergency Pack => No
2018-04-03 12:08 alostale Assigned To platform => alostale
2018-04-03 12:09 alostale Review Assigned To => caristu
2018-04-03 12:14 hgbot Checkin
2018-04-03 12:14 hgbot Note Added: 0103641
2018-04-03 12:14 hgbot Status new => resolved
2018-04-03 12:14 hgbot Resolution open => fixed
2018-04-03 12:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9d919bcdb4fe9b9ff3960627f3c05994da53dc5c [^]
2018-04-03 12:14 hgbot Checkin
2018-04-03 12:14 hgbot Note Added: 0103642
2018-04-09 09:13 caristu Note Added: 0103745
2018-04-09 09:13 caristu Status resolved => closed
2018-04-09 09:13 caristu Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104360
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104361


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker